Public Class Grid_Form

    Private Sub FacultyBindingNavigatorSaveItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles FacultyBindingNavigatorSaveItem.Click
        Me.Validate()
        Me.FacultyBindingSource.EndEdit()
        Me.FacultyTableAdapter.Update(Me.CSE_DEPTDataSet.Faculty)

    End Sub

    Private Sub Grid_Form_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Me.FacultyTableAdapter.Fill(Me.CSE_DEPTDataSet.Faculty)
    End Sub
End Class